require 'engine.class'

local Actor = require 'class.Actor'

require 'class.Entity'

local utils = require 'utils'

--module("Player", package.seeall, class.make)
module("Player", package.seeall, class.inherit(Actor))

function _M:init(t)
    print("Initializing player")
    self.hitpoints = 20
    self.display = "@"
    self.image = "gfx/player/racial_dolls/human_m.png"
    self.wounds = 20
    self.name = "Player"
    self.player = true
    Actor:init(self, t)
    Entity:addEntity(self)
end

function _M:PlayerMove(dir_string)
  if not dir_string then print("No direction!") 
  else 
    dir_x, dir_y = utils:dirfromstring(dir_string)
    --print("Direction: ", dir_x, dir_y)
    end
  Actor:moveDir(dir_x, dir_y)
end

return _M